curl --request PATCH \
--url https://api.cadanapay.com/v1/users/{userId}/kyc \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"identity": {
"firstName": "John",
"lastName": "Doe",
"dob": "1990-01-15",
"nationality": "US",
"idDetails": {
"type": "passport",
"number": "123456789",
"issuedCountryCode": "US",
"issuedBy": "Department of State",
"issuedDate": "2020-01-15",
"expirationDate": "2030-01-15",
"frontFileId": "1d3f870c-bc91-4636-a0d4-8e54bccf7d64",
"backFileId": "2e4g981d-cd02-5747-b29d-3f65dd8e7d75",
"selfieFileId": "3f5h092e-de13-6858-c40e-4g76ee9f8e86"
}
}
}
'{
"code": "invalid_request_body",
"message": "The request body provided is not valid",
"params": {
"field": "Value is invalid."
}
}Resubmit KYC identity and/or address information after rejection. Identity can only be resubmitted when status is rejected. Address can only be resubmitted when status is not started or rejected.
curl --request PATCH \
--url https://api.cadanapay.com/v1/users/{userId}/kyc \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"identity": {
"firstName": "John",
"lastName": "Doe",
"dob": "1990-01-15",
"nationality": "US",
"idDetails": {
"type": "passport",
"number": "123456789",
"issuedCountryCode": "US",
"issuedBy": "Department of State",
"issuedDate": "2020-01-15",
"expirationDate": "2030-01-15",
"frontFileId": "1d3f870c-bc91-4636-a0d4-8e54bccf7d64",
"backFileId": "2e4g981d-cd02-5747-b29d-3f65dd8e7d75",
"selfieFileId": "3f5h092e-de13-6858-c40e-4g76ee9f8e86"
}
}
}
'{
"code": "invalid_request_body",
"message": "The request body provided is not valid",
"params": {
"field": "Value is invalid."
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Required when using a Platform API token. The tenant key identifying which business to operate on.
The unique identifier for the user
Request to resubmit KYC identity and/or address. At least one of identity or address must be provided.
KYC resubmission accepted